package com.cn.fdapfe.biz.service;

import java.util.List;
import com.cn.fdapfe.biz.domain.Formulas;

/**
 * 公式管理管理Service接口
 * 
 * @author ruoyi
 * @date 2025-03-07
 */
public interface IFormulasService 
{
    /**
     * 查询公式管理管理
     * 
     * @param id 公式管理管理主键
     * @return 公式管理管理
     */
     Formulas selectFormulasById(String id);

    /**
     * 查询公式管理管理列表
     * 
     * @param formulas 公式管理管理
     * @return 公式管理管理集合
     */
     List<Formulas> selectFormulasList(Formulas formulas);

    /**
     * 新增公式管理管理
     * 
     * @param formulas 公式管理管理
     * @return 结果
     */
     int insertFormulas(Formulas formulas);

    /**
     * 修改公式管理管理
     * 
     * @param formulas 公式管理管理
     * @return 结果
     */
     int updateFormulas(Formulas formulas);

    /**
     * 批量删除公式管理管理
     * 
     * @param ids 需要删除的公式管理管理主键集合
     * @return 结果
     */
     int deleteFormulasByIds(String[] ids);

}
